"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const converter_1 = require("../converter");
describe('Converter', () => {
    describe('AxiosConvert GET', () => {
        test('should get successfully', () => __awaiter(void 0, void 0, void 0, function* () {
            const curl = `curl --location -g --request GET 'http://www.___.com' --header 'Accept: application/json, text/plain, */*' --header 'User-Agent: axios/0.26.0'`;
            try {
                yield axios_1.default.get('http://www.___.com');
            }
            catch (error) {
                const libCurl = converter_1.AxiosConverter.getCurl(error);
                console.log(libCurl);
                expect(curl).toEqual(libCurl);
            }
        }));
        test('should get successfully with query string', () => __awaiter(void 0, void 0, void 0, function* () {
            const curl = `curl --location -g --request GET 'http://www.___.com?foo=bar' --header 'Accept: application/json, text/plain, */*' --header 'User-Agent: axios/0.26.0'`;
            try {
                yield axios_1.default.get('http://www.___.com?foo=bar');
            }
            catch (error) {
                const libCurl = converter_1.AxiosConverter.getCurl(error);
                console.log(libCurl);
                expect(curl).toEqual(libCurl);
            }
        }));
        test('should get successfully with query params', () => __awaiter(void 0, void 0, void 0, function* () {
            const curl = `curl --location -g --request GET 'http://www.___.com/foo/bar' --header 'Accept: application/json, text/plain, */*' --header 'User-Agent: axios/0.26.0'`;
            try {
                yield axios_1.default.get('http://www.___.com', { params: { foo: 'bar' } });
            }
            catch (error) {
                const libCurl = converter_1.AxiosConverter.getCurl(error);
                console.log(libCurl);
                expect(curl).toEqual(libCurl);
            }
        }));
    });
    describe('AxiosConvert POST', () => {
        test('should post successfully', () => __awaiter(void 0, void 0, void 0, function* () {
            const curl = `curl --location -g --request POST 'http://www.___.com/foo/bar?teste=1' --header 'Accept: application/json, text/plain, */*' --header 'Content-Type: application/json' --header 'Authorization: Bearer token' --header 'User-Agent: axios/0.26.0' --header 'Content-Length: 13'  --data-raw '{"foo":"bar"}'`;
            try {
                yield axios_1.default.post('http://www.___.com?teste=1', { foo: 'bar' }, { params: { foo: 'bar' }, headers: { Authorization: 'Bearer token' } });
            }
            catch (error) {
                const libCurl = converter_1.AxiosConverter.getCurl(error);
                console.log(libCurl);
                expect(curl).toEqual(libCurl);
            }
        }));
    });
});
